# spec file for building RPMS
Summary:   create a slide presentation from a LaTeX source
Name:      latex2slides 
Version:   0.5.1 
Release:   1
Copyright: GPL
Group:     Applications/Publishing
Source:    ftp://prdownloads.sourceforge.net/latex2slides/latex2slides-0.5.1.tgz
URL:       http://udel.edu/~lmilano/latex2slides/
Buildroot: %{_tmppath}/%{name}-buildroot
Packager:  Leo Milano <lmilano@udel.edu>
requires:  python >= 1.5.2, tcl >= 8.0, tk >= 8.0, ImageMagick >= 4.2.9

%description

latex2slides is a simple graphical program that produces a set of 
HTML/JPEG slides from a LaTeX (or TeX) source FILE. The program first 
produces a multipage postscript, using latex  (or tex ) and dvips. 
Each postscript page is converted to a JPEG image using ImageMagick's 
convert. The program then makes one HTML page for each JPEG (or slide), 
and an index.html page. As a result, each slide in your slide presentation 
corresponds to one of the postscript pages you would obtain running 
latex on the LaTeX source.   

%prep
%setup -q 

%build
echo Nothing to build 

%install
rm -rf $RPM_BUILD_ROOT
./install --prefix $RPM_BUILD_ROOT
./install --query-no-prefix > files.txt
# this last line gets the names of the installed files (without the prefix)

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files.txt
%defattr(-,root,root)
# I comment this macro cause it deletes my docs: %doc README TODO COPYING CHANGES

%changelog
* Mon Jul 31 2001 Leonardo J Milano <lmilano@udel.edu> 
  - RPM packages available 
    - .noarch.rpm : should work in any unix system (using RPM)
    - .src.rpm : redundant, since latex2slides is a python (interpreted) script
  - New options in the installer (useful for RPM building):
    -p,--prefix : set a temporary directory for a test install
    --query-no-prefix : similar to --query but substract prefix from filenames
